Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 18/04/2006, à 19:29

StrAbZ

Ruby, QT et TLS data

Bonjour a tous !
Oui pas mal de chose rien que dans le titre big_smile

Alors je me suis lancé dans la realisation d'une interface graphique en Qt, miais j'ai quelques petits soucis (sinon je ne posterai pas ici).

Bref faison simple, j'ai installé toute la panoplie, et apres avoir crée mon interface avec Qt Designer, le lance la commande :

rbuic gui.ui > gui.rb
pour obtenir mon fichier rb contenant la class obtenu a partir du fichier ui.

Ca pas de probleme, ensuite je tape ruby gui.rb, et j'obtien le magnifique message suivant :

/usr/lib/ruby/1.8/i486-linux/qtruby.so: libnvidia-tls.so.1: cannot handle TLS data - /usr/lib/ruby/1.8/i486-linux/qtruby.so (LoadError)
        from /usr/lib/ruby/1.8/Qt.rb:1
        from debut.rb:9

J'ai trouvé sur internet une solution qui consiste a placer le repertoir /usr/lib/tls dans le rep ~ de l'utilisateur root (ce que je trouve particulierement crade).

Donc comment reglé le pb du TLS data.

Voila, j'espere avoir été assez precis, merci d'avance
StrAbZ

Dernière modification par StrAbZ (Le 18/04/2006, à 19:36)

Hors ligne

#2 Le 22/04/2006, à 15:02

Noé

Re : Ruby, QT et TLS data

Woulah O_O
Ça a l'air d'être un bug, donc essaye toujours de le reporter avec un max de détails sur bugs.kde.org ...


dotdotno ou Phlogistique sur IRC
Jabber : noe.rubinstein CHEZ fritalk.com

Hors ligne

#3 Le 22/04/2006, à 21:58

StrAbZ

Re : Ruby, QT et TLS data

Heu... je suppose que sous gnome c'est pas a la meme adresse big_smile

je vais voir ca big_smile

Hors ligne

#4 Le 23/04/2006, à 18:55

Noé

Re : Ruby, QT et TLS data

Beuh sachant que tu nous parle de RubyQt c'est pas GNOME tongue


dotdotno ou Phlogistique sur IRC
Jabber : noe.rubinstein CHEZ fritalk.com

Hors ligne

#5 Le 24/04/2006, à 01:12

StrAbZ

Re : Ruby, QT et TLS data

Oui, mais Qt c pas Kde (enfin ca codé avec, mais ca appartient pas).
Et je suis sous gnome, je fais juste ca pour un projet big_smile

Hors ligne

#6 Le 25/04/2006, à 21:59

Noé

Re : Ruby, QT et TLS data

Oui mais ou veux tu reporter les bugs sur RubyQt sinon chez KDE ? Sachant que tout ce que je trouve sur RubyQt est http://developer.kde.org/language-bindings/ruby/index.html
et qu'on peut reporter chez KDE sur 'Ruby Language support'.

Et pis ça règlera pas ton problème mais t'as qu'à passer sous KDE tongue


dotdotno ou Phlogistique sur IRC
Jabber : noe.rubinstein CHEZ fritalk.com

Hors ligne

#7 Le 26/04/2006, à 12:33

StrAbZ

Re : Ruby, QT et TLS data

Ouaip pas faux smile
Ben j'ai pas encore signalé ca.... parce que finalement j'ai eu la meme chose avec FXRuby......

d'ailleur pour info, remettre ~/tls dans /usr/lib/ avant de quitté ca evite d'avoir le serverx qui plante.

Hors ligne

#8 Le 26/04/2006, à 14:55

Noé

Re : Ruby, QT et TLS data

Bon bah alors ça vient pas de Qt, on avance tongue

sudo apt-get install nvidia-glx{,-dev} # ?


dotdotno ou Phlogistique sur IRC
Jabber : noe.rubinstein CHEZ fritalk.com

Hors ligne

#9 Le 27/04/2006, à 14:32

StrAbZ

Re : Ruby, QT et TLS data

j'ai eu un doute, donc j'ai verifié que j'avais bien installé les paquets de dev, mais il semblerai que oui... je les ai quand meme re installé pour la etre sur, et ca ne change rien... le drame big_smile

Hors ligne

#10 Le 27/04/2006, à 23:03

Noé

Re : Ruby, QT et TLS data

Selon tout ce que j'obtiens de Google, il y aurait eu un bugfixe d'un bug similaire chez Debian. Peut-être que tu devrais poster ton bug avec un max de détails sur les circonstances sur launchpad. Je n'ai pas de Nvidia et chez moi ça marche...


dotdotno ou Phlogistique sur IRC
Jabber : noe.rubinstein CHEZ fritalk.com

Hors ligne

Haut de page ↑